Subject: Re: What is PWE3 chartered to do?

From: Peter Willis <[email-masked]>
Date: Tue, 01 Apr 2003 09:00:38 +0100

George,

I agree with you, MPLS LDP delivers a CNLS service and may deliver
 packets out of order. Therefore if we use PWE3 over MPLS LDP then we have to 
cater for out of order packets. My concern is if we used PWE3 over MPLS 
RSVP-TE (or similar) then we would assume packets would be delivered in order 
and we wouldn't want to bear the cost of the re-sequencing mechanism in PWE3.

Regards,
Peter.

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 01 Apr 2003 10:36:48 +0100

> and we wouldn't want to bear the cost of the re-sequencing mechanism in PWE3.

Correct order would not be guaranteed during a fast re-route or a return
to service.

Stewart

> Regards,
> Peter.
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
> 
>

---

From: Eric Rosen <[email-masked]>
Date: Tue, 01 Apr 2003 10:23:35 -0500

Peter>  My concern is if we used PWE3 over MPLS RSVP-TE (or similar) then we
Peter>  would assume  packets would  be delivered in  order and  we wouldn't
Peter>  want to bear the cost of the re-sequencing mechanism in PWE3. 

Irrespective of  the truth of the  assumption, given that PWE3  can run over
either an  unsequenced or a sequenced  PSN layer, if  PWE3 needs sequencing,
sequencing must be provided at the PWE3 layer.

---

From: George Swallow <[email-masked]>
Date: Tue, 01 Apr 2003 11:28:15 -0500

Peter -

> and we wouldn't want to bear the cost of the re-sequencing mechanism in PWE3.

The whole point of this discussion on the first nibble is that if you
obey certain rules then most (all?) currently available P nodes will
deliver both the data and associated OAM in sequence, except during a
reroute operation.  As Stewart points out, RSVP-TE may also be
disordered during a fast reroute.  Either way you have to be prepared
for a few things to be out of order.  An if you engineer it right
either approach can offer excellent service.

...George

==================================================================
George Swallow       Cisco Systems                  (978) 936-1398
                     250 Apollo Drive
                     Chelmsford, Ma 01824

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 01 Apr 2003 14:14:05 -0500

>and we wouldn't want to bear the cost of the re-sequencing mechanism in PWE3.

         There is no free lunch. Setting up fixed tunnels everywhere is not 
cheap
operationally compared to using LDP.  But you are an operator and can 
appreciate
that.

         --Tom

>Peter.

http://www.elsevier-international.com/catalogue/title.cfm?ISBN=155860751X

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 01 Apr 2003 16:06:35 -0500

>either approach can offer excellent service.

         Right. As Eric points out, if you want sequencing, add it
to the PWE header and don't worry about the transport misordering.

         --Tom